// file:  Line.java
// author:Bob Muller
// date: January 21, 2014
//
// This file contains an interface for Lines.
//
public interface Line {

    // Getters.
    //
    public Point getLeft();
    public Point getRight();

    public double length();
    public Point midPoint();
    public Line move(double dx, double dy);

    public String toString();    
    public boolean equals(Line other);
}
